- Creates a new package record that does not already exist.
This method will auto-generate an ID and create a new package. If an ID is specified for the package, an error will be thrown.
The package that you would like to be saved.
If true, the customer can choose their installment plan
If set, when this membership is created it will be set to auto renewal by default
DEPRECATED - No longer supported, do not use
If set, the organization should be billed for this package
Whether to track inventory for the entire bundle, or for each product separately
Allows you to override chapter configuration
If true, buying this package gives you member benefits
Whether or not cancellation fees are applicable
If set, document entitlements will be created to access folders or documents
If true, purchasing this product will generate coupons
If set, the order engine will call out to a custom lambda function for custom/complex pricing
If set, document entitlements will be created to access folders or documents
If enabled, a custom email goes out whenever this product is ordered
If true, purchase limits are in place for this product
If set, purchases of this merchandise are restricted
If true, this package is not available in the online store
Whether or not the chapter configuration is overridden
Whether or not the section configuration is overridden
Whether or not this product should be available in the portal
The package that thiscc package should renew with - if null, the package renews with itself
Allows you to override section configuration
Allows you to suggestion donating to specific fundraising products upon checkout
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/packages/{tenantId}
- https://membership.api.rhythmsoftware.comhttps://membership.api.rhythmsoftware.com/packages/{tenantId}
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/packages/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"allow_customer_to_choose_installment_plan": true,
"auto_renew_by_default": true,
"available_to": "both",
"bill_organization": true,
"bulk_pricing_rules": [
{
"discount_amount": 0,
"discount_type": "flat rate",
"ending_range": 0,
"starting_range": 0
}
],
"bundled_products": [
{
"member_price": 0.1,
"price": 0.1,
"product_id": "string",
"product_type": "string",
"quantity": 0,
"type": "bundled product"
}
],
"bundled_products_inventory_handling": "bundle",
"business_unit_id": "string",
"cancellation_fee": 0.1,
"chapter_configuration": {
"auto_assignment": "assign",
"maximum_number_of_chapters_a_member_can_join": 1,
"members_are_required_to_join_a_chapter": true,
"mode": "optional single chapter",
"portal_restrictions": "members cannot change chapters"
},
"commerce_entitlements_to_create": [
{
"expiration_date": "2019-08-24T14:15:22Z",
"expiration_type": "none",
"quantity": 0.1,
"relative_expiration_date": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"type_id": "string"
}
],
"coupon_codes": [
{
"coupon_code_generation_process_id": "string",
"coupon_code_type": "multi use",
"coupon_id": "string",
"coupon_type": "string",
"expiration_date": "2019-08-24T14:15:22Z",
"expiration_type": "none",
"maximum_number_of_total_uses": 1,
"maximum_number_of_uses_per_customer": 1,
"quantity": 250,
"relative_expiration_date": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"restrict_to_contact": true,
"restrict_to_organization": true
}
],
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"custom_pricing_options": {
"lambda_function_id": "string"
},
"description": "string",
"display_in_portal_as": "string",
"display_order": 0.1,
"document_entitlements_to_create": [
{
"expiration_date": "2019-08-24T14:15:22Z",
"expiration_type": "none",
"file_cabinet_id": "string",
"item_id": "string",
"library_path": "string",
"relative_expiration_date": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
}
}
],
"does_not_receive_member_benefits": true,
"dues_proration": {
"applies_to": "both",
"april": 0.1,
"august": 0.1,
"december": 0.1,
"february": 0.1,
"january": 0.1,
"july": 0.1,
"june": 0.1,
"march": 0.1,
"may": 0.1,
"november": 0.1,
"october": 0.1,
"september": 0.1
},
"enable_bulk_pricing": true,
"enable_bundled_products": true,
"enable_cancellation_fees": true,
"enable_commerce_entitlement_creation": true,
"enable_coupon_code_generation": true,
"enable_custom_pricing": true,
"enable_document_entitlement_creation": true,
"enable_dues_proration": true,
"enable_product_confirmation_email": true,
"enable_purchase_limits": true,
"enable_purchasing_eligibility": true,
"enable_special_prices": true,
"enable_task_generation": true,
"expiration_options": {
"allow_reinstatement": true,
"anniversary_expiration_options": {
"allow_mid_month_expirations": true,
"enable_fixed_expiration_dates": true,
"fixed_expiration_dates": [
{
"expiration_date": "string",
"range_end": "string",
"range_start": "string"
}
],
"sell_for_next_month_after": 1,
"term_length": 1,
"term_type": "days"
},
"calendar_expiration_options": {
"number_of_years": 1,
"sell_for_next_year_after": "string",
"start_of_calendar_year": 1
},
"expiration_type": "anniversary",
"grace_period": 0.1,
"reinstatement_options": {
"give_renewal_pricing_during_reinstatement_period": true,
"reinstatement_period": 0.1
}
},
"foreign_currency_prices": [
{
"cancellation_fee": 0.1,
"currency_code": "AED",
"member_price": 0.1,
"mode": "calculate price",
"price": 0.1,
"restocking_fee": 0.1
}
],
"hide_from_online_store": true,
"hide_from_portal": true,
"id": "string",
"installment_plan_options": [
{
"additional_cost": 0.1,
"installment_plan_id": "string",
"is_default": true
}
],
"is_active": true,
"member_price": 0.1,
"membership_type_id": "string",
"name": "string",
"notes": "string",
"organizational_membership_options": {
"additional_contact_purchasing_info": {
"add_on_product_id": "string",
"maximum_number_of_additional_contacts": 0.1
},
"allow_for_purchase_of_additional_contacts": true,
"maximum_number_of_contacts": 0.1
},
"override_chapter_configuration": true,
"override_section_configuration": true,
"portal_options": {
"available_from": "2019-08-24T14:15:22Z",
"available_until": "2019-08-24T14:15:22Z"
},
"price": 0.1,
"product_confirmation_email_options": {
"product_confirmation_email_id": "string",
"product_specific_email": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"type": "product specific"
},
"product_tags_to_show_at_checkout": [
"string"
],
"publish_to_portal": true,
"purchase_limits": {
"error_message": "string",
"maximum": 0.1,
"relative_time_window": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"time_period": "all time",
"type": "per customer"
},
"purchasing_eligibility_criteria": {},
"renews_with_id": "string",
"section_configuration": {
"portal_restrictions": "members cannot change sections"
},
"special_prices": [
{
"criteria": {},
"enable_formula": true,
"formula": "string",
"name": "string",
"price": 0.1
}
],
"suggest_donations": [
{
"product_id": "string",
"suggested_amount": 0
}
],
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"tasks_to_generate": [
{
"assignee_type": "assignment role",
"assignment_role_id": "string",
"description": "string",
"due_date_type": "none",
"name": "string",
"notify_assignees": true,
"priority": "high",
"queue_id": "string",
"relative_due_date": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"specific_due_date": "2019-08-24T14:15:22Z",
"type_id": "string",
"user_id": "string"
}
],
"type": "membership-packages",
"update_dates_when": "immediately"
}'The package was saved successfully.
If true, the customer can choose their installment plan
If set, when this membership is created it will be set to auto renewal by default
DEPRECATED - No longer supported, do not use
If set, the organization should be billed for this package
Whether to track inventory for the entire bundle, or for each product separately
Allows you to override chapter configuration
If true, buying this package gives you member benefits
Whether or not cancellation fees are applicable
If set, document entitlements will be created to access folders or documents
If true, purchasing this product will generate coupons
If set, the order engine will call out to a custom lambda function for custom/complex pricing
If set, document entitlements will be created to access folders or documents
If enabled, a custom email goes out whenever this product is ordered
If true, purchase limits are in place for this product
If set, purchases of this merchandise are restricted
If true, this package is not available in the online store
Whether or not the chapter configuration is overridden
Whether or not the section configuration is overridden
Whether or not this product should be available in the portal
The package that thiscc package should renew with - if null, the package renews with itself
Allows you to override section configuration
Allows you to suggestion donating to specific fundraising products upon checkout
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
{ "allow_customer_to_choose_installment_plan": true, "auto_renew_by_default": true, "available_to": "both", "bill_organization": true, "bulk_pricing_rules": [ { … } ], "bundled_products": [ { … } ], "bundled_products_inventory_handling": "bundle", "business_unit_id": "string", "cancellation_fee": 0.1, "chapter_configuration": { "auto_assignment": "assign", "maximum_number_of_chapters_a_member_can_join": 1, "members_are_required_to_join_a_chapter": true, "mode": "optional single chapter", "portal_restrictions": "members cannot change chapters" }, "commerce_entitlements_to_create": [ { … } ], "coupon_codes": [ { … } ], "custom_field_values": [ { … } ], "custom_pricing_options": { "lambda_function_id": "string" }, "description": "string", "display_in_portal_as": "string", "display_order": 0.1, "document_entitlements_to_create": [ { … } ], "does_not_receive_member_benefits": true, "dues_proration": { "applies_to": "both", "april": 0.1, "august": 0.1, "december": 0.1, "february": 0.1, "january": 0.1, "july": 0.1, "june": 0.1, "march": 0.1, "may": 0.1, "november": 0.1, "october": 0.1, "september": 0.1 }, "enable_bulk_pricing": true, "enable_bundled_products": true, "enable_cancellation_fees": true, "enable_commerce_entitlement_creation": true, "enable_coupon_code_generation": true, "enable_custom_pricing": true, "enable_document_entitlement_creation": true, "enable_dues_proration": true, "enable_product_confirmation_email": true, "enable_purchase_limits": true, "enable_purchasing_eligibility": true, "enable_special_prices": true, "enable_task_generation": true, "expiration_options": { "allow_reinstatement": true, "anniversary_expiration_options": { … }, "calendar_expiration_options": { … }, "expiration_type": "anniversary", "grace_period": 0.1, "reinstatement_options": { … } }, "foreign_currency_prices": [ { … } ], "hide_from_online_store": true, "hide_from_portal": true, "id": "string", "installment_plan_options": [ { … } ], "is_active": true, "member_price": 0.1, "membership_type_id": "string", "name": "string", "notes": "string", "organizational_membership_options": { "additional_contact_purchasing_info": { … }, "allow_for_purchase_of_additional_contacts": true, "maximum_number_of_contacts": 0.1 }, "override_chapter_configuration": true, "override_section_configuration": true, "portal_options": { "available_from": "2019-08-24T14:15:22Z", "available_until": "2019-08-24T14:15:22Z" }, "price": 0.1, "product_confirmation_email_options": { "product_confirmation_email_id": "string", "product_specific_email": { … }, "type": "product specific" }, "product_tags_to_show_at_checkout": [ "string" ], "publish_to_portal": true, "purchase_limits": { "error_message": "string", "maximum": 0.1, "relative_time_window": { … }, "time_period": "all time", "type": "per customer" }, "purchasing_eligibility_criteria": {}, "renews_with_id": "string", "section_configuration": { "portal_restrictions": "members cannot change sections" }, "special_prices": [ { … } ], "suggest_donations": [ { … } ], "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "tasks_to_generate": [ { … } ], "type": "membership-packages", "update_dates_when": "immediately" }